Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq
Class ActiveMQXAConnectionFactory

    java.lang.Object
      org.codehaus.activemq.jndi.JNDIBaseStorable
          org.codehaus.activemq.ActiveMQConnectionFactory
              org.codehaus.activemq.ActiveMQXAConnectionFactory

All Implemented Interfaces:
  ConnectionFactory, JNDIStorableInterface, QueueConnectionFactory, javax.naming.Referenceable, Service, StatsCapable, TopicConnectionFactory, XAConnectionFactory, XAQueueConnectionFactory, XATopicConnectionFactory

public class ActiveMQXAConnectionFactory
extends ActiveMQConnectionFactory
implements XAConnectionFactory, XAQueueConnectionFactory, XATopicConnectionFactory

The XAConnectionFactory interface is a base interface for the XAQueueConnectionFactory and XATopicConnectionFactory interfaces.

Some application servers provide support for grouping JTS capable resource use into a distributed transaction (optional). To include JMS API transactions in a JTS transaction, an application server requires a JTS aware JMS provider. A JMS provider exposes its JTS support using an XAConnectionFactory object, which an application server uses to create XAConnection objects.

XAConnectionFactory objects are JMS administered objects, just like ConnectionFactory objects. It is expected that application servers will find them using the Java Naming and Directory Interface (JNDI) API.

The XAConnectionFactory interface is optional. JMS providers are not required to support this interface. This interface is for use by JMS providers to support transactional environments. Client programs are strongly encouraged to use the transactional support available in their environment, rather than use these XA interfaces directly.

Version:
  $Revision: 1.2 $
See Also:
  `ConnectionFactory`

Field Summary

Fields inherited from class org.codehaus.activemq.ActiveMQConnectionFactory
`brokerURL, clientID, container, password, userName`

Constructor Summary
`ActiveMQXAConnectionFactory()`
`ActiveMQXAConnectionFactory(java.lang.String brokerURL)`
`ActiveMQXAConnectionFactory(java.lang.String userName, java.lang.String password, java.lang.String brokerURL)`

Method Summary
`protected ActiveMQXAConnection` | `createActiveMQXAConnection(java.lang.String userName, java.lang.String password)`
`Connection` | `createConnection()` Create a JMS Connection
`Connection` | `createConnection(java.lang.String userName, java.lang.String password)`
`QueueConnection` | `createQueueConnection()` Create a JMS QueueConnection
`QueueConnection` | `createQueueConnection(java.lang.String userName, java.lang.String password)`
`TopicConnection` | `createTopicConnection()` Create a JMS TopicConnection
`TopicConnection` | `createTopicConnection(java.lang.String userName, java.lang.String password)`
`XAConnection` | `createXAConnection()`
`XAConnection` | `createXAConnection(java.lang.String userName, java.lang.String password)`
`XAQueueConnection` | `createXAQueueConnection()`
`XAQueueConnection` | `createXAQueueConnection(java.lang.String userName, java.lang.String password)`
`XATopicConnection` | `createXATopicConnection()`
`XATopicConnection` | `createXATopicConnection(java.lang.String userName, java.lang.String password)`

Methods inherited from class org.codehaus.activemq.ActiveMQConnectionFactory
`buildFromProperties, createBrokerConnector, createMulticastClientID, createTransportChannel, createURI, createURI, ensureMulticastChannelIsAvailable, ensureServerIsAvailable, getBoolean, getBrokerContainerFactory, getBrokerURL, getClientID, getContainer, getFactoryStats, getPassword, getStats, getUserName, getWireFormat, isUseEmbeddedBroker, onConnectionClose, onConnectionCreate, populateProperties, registerBroker, setBrokerContainerFactory, setBrokerURL, setClientID, setPassword, setUseEmbeddedBroker, setUserName, setWireFormat, start, stop, unregisterBroker`

Methods inherited from class org.codehaus.activemq.jndi.JNDIBaseStorable
`getProperties, getReference, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQXAConnectionFactory

    public ActiveMQXAConnectionFactory()

### ActiveMQXAConnectionFactory

    public ActiveMQXAConnectionFactory(java.lang.String brokerURL)

### ActiveMQXAConnectionFactory

    public ActiveMQXAConnectionFactory(java.lang.String userName,
                                       java.lang.String password,
                                       java.lang.String brokerURL)

Method Detail

### createXAConnection

    public XAConnection createXAConnection()
                                    throws JMSException

  Specified by:
    `createXAConnection` in interface `XAConnectionFactory`
  Throws:
    `JMSException`

### createXAConnection

    public XAConnection createXAConnection(java.lang.String userName,
                                           java.lang.String password)
                                    throws JMSException

  Specified by:
    `createXAConnection` in interface `XAConnectionFactory`
  Throws:
    `JMSException`

### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection()
                                              throws JMSException

  Specified by:
    `createXAQueueConnection` in interface `XAQueueConnectionFactory`
  Throws:
    `JMSException`

### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection(java.lang.String userName,
                                                     java.lang.String password)
                                              throws JMSException

  Specified by:
    `createXAQueueConnection` in interface `XAQueueConnectionFactory`
  Throws:
    `JMSException`

### createXATopicConnection

    public XATopicConnection createXATopicConnection()
                                              throws JMSException

  Specified by:
    `createXATopicConnection` in interface `XATopicConnectionFactory`
  Throws:
    `JMSException`

### createXATopicConnection

    public XATopicConnection createXATopicConnection(java.lang.String userName,
                                                     java.lang.String password)
                                              throws JMSException

  Specified by:
    `createXATopicConnection` in interface `XATopicConnectionFactory`
  Throws:
    `JMSException`

### createConnection

    public Connection createConnection()
                                throws JMSException

  Description copied from class: `ActiveMQConnectionFactory`
  Create a JMS Connection

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Overrides:
    `createConnection` in class `ActiveMQConnectionFactory`
  Returns:
    the JMS Connection
  Throws:
    `JMSException` - if an error occurs creating the Connection

### createConnection

    public Connection createConnection(java.lang.String userName,
                                       java.lang.String password)
                                throws JMSException

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Overrides:
    `createConnection` in class `ActiveMQConnectionFactory`
  Parameters:
    `userName` -
    `password` -
  Returns:
    the Connection
  Throws:
    `JMSException` - if an error occurs creating the Connection

### createQueueConnection

    public QueueConnection createQueueConnection()
                                          throws JMSException

  Description copied from class: `ActiveMQConnectionFactory`
  Create a JMS QueueConnection

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Overrides:
    `createQueueConnection` in class `ActiveMQConnectionFactory`
  Returns:
    the JMS QueueConnection
  Throws:
    `JMSException` - if an error occurs creating the Connection

### createQueueConnection

    public QueueConnection createQueueConnection(java.lang.String userName,
                                                 java.lang.String password)
                                          throws JMSException

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Overrides:
    `createQueueConnection` in class `ActiveMQConnectionFactory`
  Parameters:
    `userName` -
    `password` -
  Returns:
    the QueueConnection
  Throws:
    `JMSException` - if an error occurs creating the Connection

### createTopicConnection

    public TopicConnection createTopicConnection()
                                          throws JMSException

  Description copied from class: `ActiveMQConnectionFactory`
  Create a JMS TopicConnection

  Specified by:
    `createTopicConnection` in interface `TopicConnectionFactory`
  Overrides:
    `createTopicConnection` in class `ActiveMQConnectionFactory`
  Returns:
    the JMS TopicConnection
  Throws:
    `JMSException` - if an error occurs creating the Connection

### createTopicConnection

    public TopicConnection createTopicConnection(java.lang.String userName,
                                                 java.lang.String password)
                                          throws JMSException

  Specified by:
    `createTopicConnection` in interface `TopicConnectionFactory`
  Overrides:
    `createTopicConnection` in class `ActiveMQConnectionFactory`
  Parameters:
    `userName` -
    `password` -
  Returns:
    the TopicConnection
  Throws:
    `JMSException` - if an error occurs creating the Connection

### createActiveMQXAConnection

    protected ActiveMQXAConnection createActiveMQXAConnection(java.lang.String userName,
                                                              java.lang.String password)
                                                       throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.